#!/bin/bash

## 	name: 		runRelaxWorker.sh
## 	purpose:	starts BBQ and Rosetta on the node in the background
##                      and then terminates.  This allows the calling node to
##                      get control back immediately.
##	author:		Kevin Molloy
##	date:		January 2014

##	NOTES:
##	-----

ARG1=${1}
ARG2=${2}
ARG3=${3}

SOFTWARE_DIR=${4}

VARFILE=${SOFTWARE_DIR}/relaxCoordinatorVars.sh
if [ ! -x ${VARFILE} ]
then 
  echo Could not find varfile or wrong perms:${VARFILE}
  exit 99
fi

. ${SOFTWARE_DIR}/relaxCoordinatorVars.sh

LOG_FILE=${ARG3}.log

nohup nice ${SOFTWARE_DIR}/runRelaxWorker.sh ${ARG1} ${ARG2} \
${ARG3} ${SOFTWARE_DIR} \
   > /dev/null 2>&1 &
### If you want it to go to the file, replace the /dev/null line above
### the line below.
####   > ${LOG_FILE}  2>&1  & 


